From 0f91fa6fa8c32b6b6a9d84af815a0b981e558046 Mon Sep 17 00:00:00 2001
From: Matthias Schiffer <mschiffer@universe-factory.net>
Date: Thu, 8 Oct 2015 23:11:44 +0200
Subject: [PATCH] scripts/patch.sh: apply patches in a loop instead of a single
 `git am` command

Using a loop makes the script a bit nicer, and it works around a git bug
corrupting patch dates when multiple patches are applied at once.
---
 scripts/patch.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/scripts/patch.sh b/scripts/patch.sh
index 479acd763..5f6e0b66f 100755
--- a/scripts/patch.sh
+++ b/scripts/patch.sh
@@ -9,13 +9,13 @@ for module in $GLUON_MODULES; do
 	cd "$GLUONDIR"/$module
 	git checkout -B patching base
 
-	if [ "$(echo "$GLUONDIR"/patches/$module/*.patch)" ]; then
-		git -c user.name='Gluon Patch Manager' -c user.email='gluon@void.example.com' am --whitespace=nowarn "$GLUONDIR"/patches/$module/*.patch || (
+	for patch in "$GLUONDIR"/patches/$module/*.patch; do
+		if ! git -c user.name='Gluon Patch Manager' -c user.email='gluon@void.example.com' am --whitespace=nowarn "$patch"; then
 			git am --abort
 			git checkout patched
 			git branch -D patching
-			false
-		)
-	fi
+			exit 1
+		fi
+	done
 	git branch -M patched
 done
-- 
GitLab